Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemTextLiteral

    java.lang.Object
      org.apache.xml.utils.UnImplNode
          org.apache.xalan.templates.ElemTemplateElement
              org.apache.xalan.templates.ElemTextLiteral

All Implemented Interfaces:
  Document, Element, ExpressionNode, Node, NodeList, PrefixResolver, java.io.Serializable, SourceLocator, WhitespaceStrippingElementMatcher, XSLTVisitable

public class ElemTextLiteral
extends ElemTemplateElement

Implement a text literal.

See Also:
  section-Creating-Text in XSLT Specification, Serialized Form
Usage:
  **For advanced use only**

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElemTextLiteral()`

Method Summary
`void` | `execute(TransformerImpl transformer)` Copy the text literal to the result tree.
`char[]` | `getChars()` Get the characters that will be output to the result tree..
`boolean` | `getDisableOutputEscaping()` Get the "disable-output-escaping" attribute.
`java.lang.String` | `getNodeName()` Return the node name.
`java.lang.String` | `getNodeValue()` Get the value of the node as a string.
`boolean` | `getPreserveSpace()` Get whether or not space should be preserved.
`int` | `getXSLToken()` Get an integer representation of the element type.
`void` | `setChars(char[] v)` Set the characters that will be output to the result tree..
`void` | `setDisableOutputEscaping(boolean v)` Set the "disable-output-escaping" attribute.
`void` | `setPreserveSpace(boolean v)` Set whether or not space should be preserved.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemTextLiteral

    public ElemTextLiteral()

Method Detail

### setPreserveSpace

    public void setPreserveSpace(boolean v)

  Set whether or not space should be preserved.

  Parameters:
    `v` - Boolean flag indicating whether or not space should be preserved

### getPreserveSpace

    public boolean getPreserveSpace()

  Get whether or not space should be preserved.

  Returns:
    Boolean flag indicating whether or not space should be preserved

### setChars

    public void setChars(char[] v)

  Set the characters that will be output to the result tree..

  Parameters:
    `v` - Array of characters that will be output to the result tree

### getChars

    public char[] getChars()

  Get the characters that will be output to the result tree..

  Returns:
    Array of characters that will be output to the result tree

### getNodeValue

    public java.lang.String getNodeValue()

  Get the value of the node as a string.

  Specified by:
    `getNodeValue` in interface `Node`
  Overrides:
    `getNodeValue` in class `UnImplNode`
  Returns:
    null

### setDisableOutputEscaping

    public void setDisableOutputEscaping(boolean v)

  Set the "disable-output-escaping" attribute. Normally, the xml output method escapes & and < (and possibly other characters) when outputting text nodes. This ensures that the output is well-formed XML. However, it is sometimes convenient to be able to produce output that is almost, but not quite well-formed XML; for example, the output may include ill-formed sections which are intended to be transformed into well-formed XML by a subsequent non-XML aware process. For this reason, XSLT provides a mechanism for disabling output escaping. An xsl:value-of or xsl:text element may have a disable-output-escaping attribute; the allowed values are yes or no; the default is no; if the value is yes, then a text node generated by instantiating the xsl:value-of or xsl:text element should be output without any escaping.

  Parameters:
    `v` - Boolean value for "disable-output-escaping" attribute.
  See Also:
    disable-output-escaping in XSLT Specification

### getDisableOutputEscaping

    public boolean getDisableOutputEscaping()

  Get the "disable-output-escaping" attribute. Normally, the xml output method escapes & and < (and possibly other characters) when outputting text nodes. This ensures that the output is well-formed XML. However, it is sometimes convenient to be able to produce output that is almost, but not quite well-formed XML; for example, the output may include ill-formed sections which are intended to be transformed into well-formed XML by a subsequent non-XML aware process. For this reason, XSLT provides a mechanism for disabling output escaping. An xsl:value-of or xsl:text element may have a disable-output-escaping attribute; the allowed values are yes or no; the default is no; if the value is yes, then a text node generated by instantiating the xsl:value-of or xsl:text element should be output without any escaping.

  Returns:
    Boolean value of "disable-output-escaping" attribute.
  See Also:
    disable-output-escaping in XSLT Specification

### getXSLToken

    public int getXSLToken()

  Get an integer representation of the element type.

  Overrides:
    `getXSLToken` in class `ElemTemplateElement`
  Returns:
    An integer representation of the element, defined in the Constants class.
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `ElemTemplateElement`
  Returns:
    The element's name

### execute

    public void execute(TransformerImpl transformer)
                 throws TransformerException

  Copy the text literal to the result tree.

  Overrides:
    `execute` in class `ElemTemplateElement`
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.